


    <div class="container text-center">

        <form class="form form-registration col-sm-6 col-sm-offset-3 col-xs-12" name="registration" ng-submit="submitForm()"
              novalidate>
            <h2>Please sign up</h2>
            <div class="form-group"
                 ng-class="{ 'has-error' : registration.email.$invalid && !registration.email.$pristine }">
                <input type="email" name="email" class="form-control" ng-model="user.email" placeholder="Email" required>
                <p ng-show="registration.email.$invalid && !registration.email.$pristine" class="help-block">Enter
                    a valid email.</p>
            </div>
            <div class="form-group"
                 ng-class="{ 'has-error' : registration.login.$invalid && !registration.login.$pristine }">
                <input type="text" name="login" class="form-control" ng-minlength="4" ng-model="user.nickName" placeholder="Login" required>
                <p ng-show="registration.login.$invalid && !registration.login.$pristine" class="help-block">You
                    login is required.</p>
            </div>
            <div class="form-group"
                 ng-class="{ 'has-error' : registration.password.$invalid && !registration.password.$pristine }">
                <input type="password" name="password" class="form-control" ng-minlength="6" ng-model="user.password" placeholder="Password" required>
                <p ng-show="registration.password.$invalid && !registration.password.$pristine" class="help-block">You
                    password is required.</p>
            </div>
            <div class="form-group"
                 ng-class="{ 'has-error' : registration.confirm_password.$invalid && !registration.confirm_password.$pristine }">
                <input type="password" name="confirm_password" class="form-control" compare-to="user.password" ng-model="user.confirm_password" placeholder="Confirm password" required>
                <p ng-show="registration.confirm_password.$invalid && !registration.confirm_password.$pristine" class="help-block">You
                    confirm password is required.</p>
            </div>
            <div class="form-group" class="help-block">{{error}}</div>

            <button ng-disabled="registration.$invalid" class="btn btn-lg btn-primary btn-block" type="submit">Register</button>

        </form>

    </div>

